# $Id: AOcrayon.pro 20 2008-09-05 18:01:46Z mawerick $
#  AOCrayon - Chat color management tool for Anarchy Online
#  Copyright (C) 2005 - 2008  Mawerick
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
#
TEMPLATE = app
TARGET = AOcrayon

HEADERS = \
	aocrayon.h \
	aocolor.h \
	aocolor_widget.h \
	basedlg.h \
	about_page.h \
	advmode_page.h \
	basicmode_page.h \
	settings_page.h \
	license_page.h

SOURCES = main.cpp \
	aocolor.cpp \
	aocolor_widget.cpp \
	basedlg.cpp \
	about_page.cpp \
	advmode_page.cpp \
	basicmode_page.cpp \
	settings_page.cpp \
	license_page.cpp

QT += xml
DEFINES += QT_DLL

CONFIG += qt warn_on debug_and_release

DESTDIR = build
CONFIG(debug,debug|release) {
	CONFIG += console
	DEFINES += _DEBUG
	TARGET = $$TARGET"_debug"
}

RESOURCES = AOcrayon.qrc

win32 {
	RC_FILE = AOcrayon.rc
	thread {
		DEFINES += QT_THREAD_SUPPORT
	}
}
