/* $Id: license_page.cpp 20 2008-09-05 18:01:46Z mawerick $ */
/* AOCrayon - Chat color management tool for Anarchy Online
    Copyright (C) 2005 - 2008  Mawerick

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */
#include "license_page.h"
#include "aocrayon.h"

#include <QtGui>

LicensePage::LicensePage( QWidget *parent )
	:QWidget( parent )
{
	BaseLayout = new QVBoxLayout( this );
	BaseLayout->setSpacing( 3 );
	BaseLayout->setMargin( 5 );

	LicenseView = new QTextEdit( this );
	LicenseView->setReadOnly( true );
	LicenseView->setLineWrapMode( QTextEdit::NoWrap );
	LicenseView->setTabStopWidth( 40 );
	BaseLayout->addWidget( LicenseView );

	QFile LicenseFile( ":/GPL" );
	if( LicenseFile.open( QIODevice::ReadOnly | QIODevice::Text ) )
	{
		QTextStream LicenseText( &LicenseFile );
		LicenseView->setPlainText( LicenseText.readAll() );
	}
}
